all:
  .settings:
    csrf_secret:       false     # Unique secret to enable CSRF protection or false to disable
    escaping_strategy:      false            # Determines how variables are made available to templates. Accepted values: on, off.
    escaping_method:        ESC_SPECIALCHARS # Function or helper used for escaping. Accepted values: ESC_RAW, ESC_ENTITIES, ESC_JS, ESC_JS_NO_ENTITIES, and ESC_SPECIALCHARS.
    enabled_modules:        [default, sfGuardAuth, sfGuardGroup, sfGuardPermission, sfGuardUser]
    compat_10:              on
    standard_helpers: [Partial, Cache, Object, Validation, Javascript]
    i18n: on
    default_culture:        en_US        # Default user culture
    validation_error_prefix:    ' '
    validation_error_suffix:    ' '
    validation_error_class:     form_error
    validation_error_id_prefix: error_for_

  .actions:
    login_module: sfGuardAuth
    login_action: signin

    secure_module: sfGuardAuth
    secure_action: secure

prod:
  .settings:
    error_reporting:        <?php echo (E_PARSE | E_COMPILE_ERROR | E_ERROR | E_CORE_ERROR | E_USER_ERROR)."\n" ?>
    web_debug:              on
    no_script_name:         off
    logging_enabled:        off

dev:
  .settings:
    error_reporting:        <?php echo (E_ALL | E_STRICT)."\n" ?>
    web_debug:              on
    cache:                  off
    no_script_name:         off
    etag:                   off